Skip to main content

List missing tickets

GET{{server}}/api/v1/counter/missingTickets

This endpoints lists all missing tickets what will be restored later. You can also restore these tickets with the Restore missing ticket endpoint.

Request​

Authorization​

HeaderValue
AuthorizationBearer {{counterToken}}

Headers​

KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}

Code snippets​

curl -X GET '{{server}}/api/v1/counter/missingTickets' \
-H 'Accept: application/json' \
-H 'X-WSID: {{counterWsID}}' \
-H 'Authorization: Bearer {{counterToken}}'

Example​

Example request
GET{{server}}/api/v1/counter/missingTickets
Headers (2)
KeyValue
Acceptapplication/json
X-WSID{{counterWsID}}
Example response 200 Ok
Response headers (9)
KeyValue
Access-Control-Expose-Headers*
Cache-Controlno-store, no-cache, must-revalidate
Access-Control-Allow-Origin*
Access-Control-Allow-MethodsPOST, PUT, GET, OPTIONS, DELETE
Access-Control-Allow-Credentialstrue
Content-Length1329
Access-Control-Max-Age86400
Access-Control-Allow-HeadersContent-Type, Authorization, X-Requested-With
Content-Typeapplication/json;charset=utf-8
Body
[
{
"key": "1905e470-5b46-496e-d6e0-d0a7f5801dc7",
"status": 40,
"user": null,
"counter": null,
"calls": 1,
"statusTime": 1719575747211,
"reserved": false,
"history": {
"00000000-0000-4000-0002-000000000007": "00000000-0000-4000-0007-000000000002"
},
"language": "00000000-0000-4000-0004-000000000001",
"createdAt": 1719568631219,
"number": "003",
"bookingCode": null,
"crm": null,
"createType": 1,
"comments": null,
"customerData": {},
"priority": 5,
"transactionTimeSum": 0,
"waitingTimeSum": 0,
"recording": 0,
"customerName": null,
"tasks": [
{
"type": 7,
"key": "1905e470-5b36-4833-1973-4456e5cc23e2",
"subType": 1,
"name": "Service 2",
"statName": null,
"ticketLayout": null,
"numberInterval": "00000000-0000-4000-0019-000000000001",
"priority": 5,
"features": {
"afterwork": false,
"clerkSelection": false,
"customerIdentification": 0
},
"texts": {
"00000000-0000-4000-0004-000000000001": {
"name": "Service 2",
"explanation": null,
"comment": null
}
},
"codes": [
"00000000-0000-4000-0013-000000000006",
"00000000-0000-4000-0013-000000000007",
"00000000-0000-4000-0013-000000000008",
"00000000-0000-4000-0013-000000000009",
"00000000-0000-4000-0013-000000000010"
],
"status": 20,
"aspect": null,
"normalDelay": 120,
"forcedDelay": 240,
"services": [],
"time": 1702038816203,
"": null,
"service": "00000000-0000-4000-0007-000000000002",
"createType": 1,
"createdAt": 1719568631219,
"statusTime": 1719575747211,
"zero": false,
"user": null
}
]
}
]